### Method

# Pango Item apply_attrs

since: 1.44

#### Declaration [src]

    void
    pango_item_apply_attrs (
      PangoItem* item,
      PangoAttrIterator* iter
    )

#### Description [src]

Add attributes to a `PangoItem`.

The idea is that you have attributes that don’t affect itemization, such as font features, so you filter them out using `pango_attr_list_filter()`, itemize your text, then reapply the attributes to the resulting items using this function.

The `iter` should be positioned before the range of the item, and will be advanced past it. This function is meant to be called in a loop over the items resulting from itemization, while passing the iter to each call.

Available since: 1.44

#### Parameters

`iter`

  Type: `PangoAttrIterator`

  A `PangoAttrIterator`.

  The data is owned by the caller of the method.